game_level_hints.levels["Chapter01"] = function()
	return 
    {
		miniscenes({
			holding = -- коридор 
            {
				on_scene("miniscene_board", end_level("area_holding01")),
				on_scene("miniscene_board", end_level("area_holding02")),
				on_scene("laboratory", end_level("area_to_holding")),
				on_scene("room", end_level("area_to_holding_room")),
				on_scene("warehouse", end_level("area_holding"))
			},
			miniscene_board = -- доска с фотографиями
            {
				on_scene("holding", miniscene("area_board"))
			},
			miniscene_bin = -- мусорная корзина
            {
				on_scene("holding", miniscene("area_bin"))
			},
			laboratory =  -- лаборатория 
            {
				IF({removed("Key"), NOT(in_inv("Key"))}, on_scene("holding", end_level("area_lab"))),
				on_scene("miniscene_book", end_level("area_to_lab02")),
				on_scene("miniscene_book", end_level("area_to_lab01"))				
			},
			miniscene_book =  -- учебник по физике
            {
				on_scene("laboratory", miniscene("area_book"))
			},
			miniscene_paper = -- папирус со скарабеем
            {
				on_scene("laboratory", miniscene("area_paper"))
			},
			chapter01_hog = 
            {
				on_scene("laboratory", miniscene("area_hog")),
				on_scene("laboratory", miniscene("area_hog02"))
			},
			warehouse =  -- музейное хранилище
            {
				IF({removed("Card"), NOT(in_inv("Card"))},on_scene("holding", end_level("area_warehouse"))),
				on_scene("miniscene_sarcophagus", end_level("area_to_ware02")),
				on_scene("miniscene_sarcophagus", end_level("area_to_ware01"))				
			},
			miniscene_sarcophagus = -- минисцена со скарабеем
			{
				on_scene("warehouse", IF(state("Sarcophagus", "sarc01"), miniscene("area_sarcophagus")))
			},
			room =  -- кабинет Алабамы
            {
				on_scene("holding", end_level("area_room")),
				on_scene("miniscene_table", end_level("area_room_table")),
				on_scene("miniscene_photoalbum", end_level("area_go_to_room_for_hint")),
				on_scene("miniscene_photoalbum", end_level("_area_go_to_room"))						
			},
			miniscene_table =  -- стол Алабамы
			{
				on_scene("room", miniscene("area_table"))
			},
			miniscene_notebook =  -- ноутбук Алабамы
			{
				on_scene("miniscene_table", miniscene("area_letter")),
				on_scene("miniscene_table", miniscene("area_machu_pikchu"))
			},
			miniscene_photoalbum = 
			{
				on_scene("room", miniscene("area_album"))
			}
		}),
        -- хинты хога
		hog_hints("chapter01_hog"),
		IF(NOT(disabled("area_tutorial")),
			on_scene("room", 
			{
				take("Cupboard_key"),
				click("area_glass_door_closed", "Cupboard_key"),
				IF(disabled("area_seen_album"), minigame("area_album"))
			})
		),
		
		on_scene("miniscene_table",
		{ 
			-- читаем письмо
			IF(NOT(hidden("table_letter")), minigame("area_letter")),
			IF(NOT(hidden("Tutorial_notepad")), take("Notepad_alabama", "area_notepad_alabama")),
		-- сначала надо взять ключ от хранилища
			IF(NOT(state("Papers", "paper03")), click("area_papers")),
			IF(state("Papers", "paper03"), take("Card", "area_card"))
		}), 
		on_scene("room", 
		{
			IF(hidden("table_letter"), take("Key")), -- взять ключ от лаборатории
			IF(hidden("table_letter"), take("Idol04")), -- взять статуэтку из пальмы
			IF(hidden("table_letter"), take("Idol05")), -- взять статуэтку из стеклянного шкафа 
			IF(hidden("table_letter"), take("Idol06")), -- взять статуэтку из деревянного шкафа
			IF(NOT(removed("Idol06")), click("area_door_ladder")) -- открыть шкаф
		}),
		on_scene("holding", -- открыть двери в лабораторию
		{
			click("area_lab", "Key"),
			IF(state_in_inv("Photo_inv", "__inv12"), click("area_board", "Photo_inv"))
		}),
		on_scene("miniscene_board", 
		{
			IF(state_in_inv("Photo_inv", "__inv12"), click("area_photos", "Photo_inv"))
		}),
		on_scene("laboratory", 
		{
			--взять три статуэтки
			take("Idol01"),
			take("Idol02"),
			take("Idol03"),
			IF(NOT(removed("Idol01")), click("area_table_door03")) -- открыть шкаф
		}), 
		on_scene("holding", -- открыть двери в хранилище 
		{
			click("area_lock", "Card")
		}),
		on_scene("warehouse",
		{-- ищем статуэтки
			--take("Idol09", "area_idol09"), -- на полке
			take("Idol08", "area_idol08"), -- в сене
		--	take("Idol10", "area_idol10"), -- в стеклянном шкафу
		--	IF(NOT(removed("Idol10")), click("area_doors02")), -- открыть шкаф
		--	take("Idol11", "area_idol11"), -- за ящиками
			take("Idol12"), -- рядом с картинами
			take("Idol13", "area_idol_behind_shield"), -- за щитом
			IF(NOT(removed("Idol13")), click("area_swords")), -- ткнуть на мечи
			click("area_opened_casket"), -- захлопнуть шкатулку
			IF(state("Casket", "casket02"), take("Idol14", "area_idol_in_casket")), -- взять из открытой шкатулки
			IF(NOT(removed("Idol14")),click("area_closed_casket", "Crowbar")), -- вскрыть шкатулку фомкой
			click("area_idol_on_shelf", "Ladder"), -- установить лестницу
			click("area_shelf02", "Ladder"), -- установить лестницу
			click("area_doors01", "Ladder"), -- установить лестницу
			click("area_doors02", "Ladder"), -- установить лестницу
			click("area_skull", "Ladder"), -- установить лестницу
			IF(disabled("area_can_take_ladder"), click("area_idol_on_shelf")),
			IF(disabled("area_flag"), miniscene("area_sarcophagus"))
		}),
		on_scene("holding",
		{
			take("Crowbar", "area_crowbar") -- взять фомку
		}), 
		on_scene("room",
		{
			IF(NOT(disabled("area_can_take_ladder")), take("Ladder", "area_ladder")), --взять из шкафа лестницу
			IF(NOT(removed("Ladder")), click("area_door_ladder")) -- открыть шкаф
		}),
		on_scene("warehouse", 
		{
			click("area_idol_on_shelf"), -- уронить статуэтку
		--	IF(state("Skull","skull01"), click("area_skull")), -- отодвинуть череп
		--	take("Idol16", "area_idol_behind_skull") -- взять статуэтку из-за черепа
		}),
		on_scene("holding",
		{
			take("Rag", "area_rag"), -- взять тряпку из шкафа
			IF({NOT(removed("Rag")), NOT(in_inv("Rag"))}, click("area_built_in"))
		}),
		on_scene("laboratory", 
		{ -- пройти хоги в лаборатории
			minigame("area_hog"), -- тут получаем растворитель
			minigame("area_hog02") -- тут лупу
		}),
		on_scene("warehouse",
		{
			-- очищаем статуэтку
			click("Tray", "Bottle"), -- полили
			IF({NOT(on_level("Bottle")), NOT(in_inv("Bottle"))},click("Tray", "Rag")), -- протерли
			IF(state("Tray", "tray04"), take("Idol15", "Tray")) -- взяли чистенький
		}),
		on_scene("miniscene_sarcophagus", 
		{
			click("area_leg", "Jewel")
		}),
		on_scene("warehouse", 
		{ -- если в первый раз не прошли миниигру со скарабеем, надо таки пройти
			IF({state("Sarcophagus", "sarc01"), removed("Jewel")}, minigame("area_sarcophagus")),
			take("Idol17", "area_idol_in_sarcophagus"),
			IF(state_in_inv("Idol_inv", "__inv12"), click("area_box", "Idol_inv")), -- положить статуэтки в коробку
			IF(state("Box01", "box01_02"), click("area_box")) -- закрыть коробку крышкой
		}), 
		on_scene("miniscene_table", 
		{
			IF(NOT(disabled("area_flag")), take("Jewel", "Chain")) -- взять камушек
		}),
		on_scene("holding",
		{
			IF(state("Box01", "box01_03"), take("Extinguisher", "area_extinguisher02")) -- взять огнетушитель
		}),
		on_scene("miniscene_table",
		{
			click("area_fire01", "Extinguisher"), 
			click("area_fire02", "Extinguisher"), 
			click("area_fire03", "Extinguisher"), 
			click("area_fire04", "Extinguisher"), 
			click("area_fire05", "Extinguisher"), 
			click("area_fire06", "Extinguisher"), 
			click("area_fire07", "Extinguisher"), 
			click("area_fire08", "Extinguisher"), 
			click("area_fire09", "Extinguisher")
		}),
		on_scene("room", 
		{
			--click("area_fire", "Extinguisher"), -- потушить огонь
			IF({state("Box01", "box01_03"), hidden("room_fire")}, take("Brush", "brush")) -- взять кисть в допинвентарь
		}), 
		on_scene("warehouse", {
			IF({state("Box01", "box01_03"), hidden("room_fire")}, take("Knife", "area_knife"))
		}),
		
		on_scene("holding", {
			take("Photo01"),
			take("Photo02"),
			take("Photo03"),
			take("Photo04"),
			take("Photo05"),
			take("Photo06"),
			IF({NOT(removed("Photo07")), NOT(in_inv("Photo07"))}, click("area_built_in")),
			take("Photo07"),
			take("Photo08"),
			take("Photo09"),
			take("Photo10")
		}),
		on_scene("miniscene_bin", {
			take("Photo11", "area_photo_piece01"),
			take("Photo12", "area_photo_piece02")
		})
	}
end 
